apiVersion: workspace.devfile.io/v1alpha2
kind: DevWorkspaceTemplate
metadata:
  annotations:
    che.eclipse.org/components-update-policy: managed
    che.eclipse.org/plugin-registry-url: 'http://127.0.0.1:8080/dashboard/api/editors/devfile?che-editor=che-incubator/che-idea-server/latest'
  resourceVersion: '482512'
  name: che-idea-server-ubi9-minimal-demo
  uid: 784f8bab-0a56-4384-ab1b-3394a5255826
  creationTimestamp: '2025-03-02T21:14:19Z'
  generation: 1
  managedFields:
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:che.eclipse.org/components-update-policy': {}
            'f:che.eclipse.org/plugin-registry-url': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"2e86fb11-f147-4ac4-95e3-e5bf2f8a16a7"}': {}
        'f:spec':
          .: {}
          'f:commands': {}
          'f:components': {}
          'f:events':
            .: {}
            'f:postStart': {}
            'f:preStart': {}
      manager: unknown
      operation: Update
      time: '2025-03-02T21:14:19Z'
  namespace: admin-devspaces
  ownerReferences:
    - apiVersion: workspace.devfile.io/v1alpha2
      kind: devworkspace
      name: ubi9-minimal-demo
      uid: 2e86fb11-f147-4ac4-95e3-e5bf2f8a16a7
spec:
  commands:
    - apply:
        component: editor-injector
      id: inject-editor
    - exec:
        commandLine: nohup /idea-server/entrypoint-volume.sh > /idea-server/std.out 2>&1 &
        component: editor-runtime
      id: start-idea-server
  components:
    - name: idea-server
      volume: {}
    - container:
        cpuRequest: 30m
        command:
          - /entrypoint-init-container.sh
        env:
          - name: CHE_DASHBOARD_URL
            value: 'https://devspaces.apps.ocp417-aws.crw-qe.com'
          - name: CHE_PLUGIN_REGISTRY_URL
            value: 'https://devspaces.apps.ocp417-aws.crw-qe.com/plugin-registry/v3'
          - name: CHE_PLUGIN_REGISTRY_INTERNAL_URL
            value: 'http://plugin-registry.openshift-devspaces.svc:8080/v3'
          - name: CLUSTER_CONSOLE_URL
            value: 'https://console-openshift-console.apps.ocp417-aws.crw-qe.com'
          - name: CLUSTER_CONSOLE_TITLE
            value: OpenShift console
          - name: OPENVSX_REGISTRY_URL
            value: ''
        memoryRequest: 32Mi
        sourceMapping: /projects
        cpuLimit: 500m
        volumeMounts:
          - name: idea-server
            path: /idea-server
        memoryLimit: 256Mi
        image: 'registry.redhat.io/devspaces-tech-preview/jetbrains-ide-rhel9@sha256:2af1627640176578ac0fc2a483dbed8c938a6b742cbd04455724a21fe51cc8e7'
      name: editor-injector
    - attributes:
        app.kubernetes.io/component: editor-runtime
        app.kubernetes.io/part-of: idea-server.eclipse.org
        controller.devfile.io/container-contribution: true
      container:
        cpuRequest: 1500m
        env:
          - name: CHE_DASHBOARD_URL
            value: 'https://devspaces.apps.ocp417-aws.crw-qe.com'
          - name: CHE_PLUGIN_REGISTRY_URL
            value: 'https://devspaces.apps.ocp417-aws.crw-qe.com/plugin-registry/v3'
          - name: CHE_PLUGIN_REGISTRY_INTERNAL_URL
            value: 'http://plugin-registry.openshift-devspaces.svc:8080/v3'
          - name: CLUSTER_CONSOLE_URL
            value: 'https://console-openshift-console.apps.ocp417-aws.crw-qe.com'
          - name: CLUSTER_CONSOLE_TITLE
            value: OpenShift console
          - name: OPENVSX_REGISTRY_URL
            value: ''
        memoryRequest: 2048Mi
        sourceMapping: /projects
        cpuLimit: 2000m
        volumeMounts:
          - name: idea-server
            path: /idea-server
        memoryLimit: 6144Mi
        image: 'registry.redhat.io/devspaces/udi-rhel9@sha256:65c893972c503b136d6b373c49f113b8c63530d4c7873ef8ab20357e5d43fe7a'
        endpoints:
          - attributes:
              cookiesAuthEnabled: true
              discoverable: false
              type: main
              urlRewriteSupported: true
            exposure: public
            name: idea-server
            protocol: https
            secure: true
            targetPort: 3400
      name: editor-runtime
  events:
    postStart:
      - start-idea-server
    preStart:
      - inject-editor
